--- buttons_bits.c	2008-01-08 12:27:21.000000000 -0500
+++ buttons_bits.c	2014-12-26 00:22:57.000000000 -0500
@@ -41,5 +41,7 @@
 	Les bitmaps pour les deplacements dans le buffer.
 */
-char head_bits[] = {
+#include "buttons_bits.h"
+
+const char head_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0xc4, 0x06, 0x22,
@@ -49,5 +51,5 @@ char head_bits[] = {
    0x04, 0x00, 0x20, 0xfc, 0xff, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char q_bits[] = {
+const char q_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x44, 0x60, 0x23,
@@ -57,5 +59,5 @@ char q_bits[] = {
    0x04, 0x00, 0x20, 0xfc, 0xff, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char np_bits[] = {
+const char np_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x84, 0xc0, 0x20,
@@ -65,5 +67,5 @@ char np_bits[] = {
    0x04, 0x00, 0x20, 0xfc, 0xff, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char down_bits[] = {
+const char down_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x24, 0x10, 0x20,
@@ -73,5 +75,5 @@ char down_bits[] = {
    0x04, 0x00, 0x20, 0xfc, 0xff, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char pp_bits[] = {
+const char pp_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x84, 0x81, 0x20,
@@ -81,5 +83,5 @@ char pp_bits[] = {
    0x04, 0x00, 0x20, 0xfc, 0xff, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char up_bits[] = {
+const char up_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfc, 0xff, 0x3f, 0x04, 0x00, 0x20,
    0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x00, 0x20, 0x04, 0x08, 0x24,
@@ -93,5 +95,5 @@ char up_bits[] = {
 */
 
-char sb_up_bits[] = {
+const char sb_up_bits[] = {
    0x00, 0x00,
    0x60, 0x00,
@@ -109,5 +111,5 @@ char sb_up_bits[] = {
 };
 
-char sb_down_bits[] = {
+const char sb_down_bits[] = {
    0xff, 0x0f,
    0xff, 0x0f,
@@ -125,5 +127,5 @@ char sb_down_bits[] = {
 };
 
-char sb_up_bits_run[] = {
+const char sb_up_bits_run[] = {
    0x00, 0x00,
    0x60, 0x00,
@@ -141,5 +143,5 @@ char sb_up_bits_run[] = {
 };
 
-char sb_down_bits_run[] = {
+const char sb_down_bits_run[] = {
    0xff, 0x0f,
    0xff, 0x0f,
@@ -160,5 +162,5 @@ char sb_down_bits_run[] = {
 	Les bitmaps pour le toolbar
 */
-char logo_bits[] = {
+const char logo_bits[] = {
  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x3f,0xfe,0xff,0xff,0x1f,
@@ -171,5 +173,5 @@ char logo_bits[] = {
  0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff };
 
-char bwlogo_bits[] = {
+const char bwlogo_bits[] = {
  0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x40,
@@ -182,5 +184,5 @@ char bwlogo_bits[] = {
  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 };
 
-char xlogo32_bits[] = {
+const char xlogo32_bits[] = {
    0xff, 0x00, 0x00, 0xc0, 0xfe, 0x01, 0x00, 0xc0, 0xfc, 0x03, 0x00, 0x60,
    0xf8, 0x07, 0x00, 0x30, 0xf8, 0x07, 0x00, 0x18, 0xf0, 0x0f, 0x00, 0x0c,
@@ -195,5 +197,5 @@ char xlogo32_bits[] = {
    0x0c, 0x00, 0x80, 0x7f, 0x06, 0x00, 0x00, 0xff};
 
-char slogo_bits[] = {
+const char slogo_bits[] = {
  0x00,0x00,0x00,0x00,0x3c,0x00,0x00,0x00,0x00,0x30,0xb3,0xcf,0xb3,0xf3,0x30,
  0xde,0x6c,0xe6,0x82,0x31,0xcc,0x60,0x66,0xf0,0x31,0xcc,0x60,0x66,0x98,0x31,
@@ -202,5 +204,5 @@ char slogo_bits[] = {
  0x00,0x00,0x00,0x06 };
 
-char dired_bits[] = {
+const char dired_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -215,5 +217,5 @@ char dired_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char new_window_bits[] = {
+const char new_window_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -228,5 +230,5 @@ char new_window_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char save_bits[] = {
+const char save_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -241,5 +243,5 @@ char save_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char man_bits[] = {
+const char man_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x80, 0x00, 0x10,
@@ -254,5 +256,5 @@ char man_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char cut_bits[] = {
+const char cut_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -267,5 +269,5 @@ char cut_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char paste_bits[] = {
+const char paste_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x80, 0x01, 0x10,
@@ -280,5 +282,5 @@ char paste_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char c_bits[] = {
+const char c_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -293,5 +295,5 @@ char c_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char cplus_bits[] = {
+const char cplus_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -306,5 +308,5 @@ char cplus_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char java_bits[] = {
+const char java_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -319,5 +321,5 @@ char java_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char dlt_bits[] = {
+const char dlt_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -332,5 +334,5 @@ char dlt_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char latex_bits[] = {
+const char latex_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xfc, 0xff, 0xff, 0x1f, 0x04, 0x00, 0x00, 0x10, 0x04, 0x00, 0x00, 0x10,
@@ -345,5 +347,5 @@ char latex_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char browser_bits[] = {
+const char browser_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0xfe, 0xff, 0xff, 0x7f, 0x02, 0x00, 0x00, 0x40,
    0xfa, 0xf7, 0xdf, 0x5f, 0x0a, 0x14, 0x50, 0x50, 0xea, 0xd4, 0x51, 0x53,
@@ -358,5 +360,5 @@ char browser_bits[] = {
    0xfe, 0xff, 0xff, 0x7f, 0x00, 0x00, 0x00, 0x00};
 
-char color_bits[] = {
+const char color_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -371,5 +373,5 @@ char color_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char top_bits[] = {
+const char top_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x0c, 0x00, 0x10,
@@ -384,5 +386,5 @@ char top_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char latex_util_bits[] = {
+const char latex_util_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -397,5 +399,5 @@ char latex_util_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char html_bits[] = {
+const char html_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -410,5 +412,5 @@ char html_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char rcs_bits[] = {
+const char rcs_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -423,5 +425,5 @@ char rcs_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char cmds_bits[] = {
+const char cmds_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -436,5 +438,5 @@ char cmds_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char cc_util_bits[] = {
+const char cc_util_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -449,5 +451,5 @@ char cc_util_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};
 
-char undo_bits[] = {
+const char undo_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -465,5 +467,5 @@ char undo_bits[] = {
 	Le logo 32x32 de Xcoral
 */
-char icon_bits[] = {
+const char icon_bits[] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0xf8, 0xff, 0xff, 0x1f, 0x08, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10,
@@ -480,5 +482,5 @@ char icon_bits[] = {
 	Le logo 64x64 de Xcoral
 */
-char icon_bits_old[] = {
+const char icon_bits_old[] = {
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x03, 0x08, 0x40, 0x80, 0x00, 0x40, 0x00, 0xc0,
@@ -526,5 +528,5 @@ char icon_bits_old[] = {
 
 /* Les xpm */
-char *xpm_logo [] = {
+const char *xpm_logo [] = {
 "32 32 8 2",
 "_# c #008080",
@@ -569,5 +571,5 @@ char *xpm_logo [] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_dired_bits [] = {
+const char *xpm_dired_bits [] = {
 "32 32 113 2",
 ".a c #000000",
@@ -717,5 +719,5 @@ char *xpm_dired_bits [] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_new_window_bits [] = {
+const char *xpm_new_window_bits [] = {
 "32 32 10 2",
 "_a c #000000",
@@ -762,5 +764,5 @@ char *xpm_new_window_bits [] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_save_bits [] = {
+const char *xpm_save_bits [] = {
 "32 32 82 2",
 ".# c #000080",
@@ -879,5 +881,5 @@ char *xpm_save_bits [] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_cut_bits[] = {
+const char *xpm_cut_bits[] = {
 "32 32 7 2",
 "_a c #000000",
@@ -921,5 +923,5 @@ char *xpm_cut_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_paste_bits[] = {
+const char *xpm_paste_bits[] = {
 "32 32 184 2",
 "a1 c #000000",
@@ -1140,5 +1142,5 @@ char *xpm_paste_bits[] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_undo_bits[] = {
+const char *xpm_undo_bits[] = {
 "32 32 6 2",
 "_# c #000000",
@@ -1181,5 +1183,5 @@ char *xpm_undo_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_dlt_bits[] = {
+const char *xpm_dlt_bits[] = {
 "32 32 6 2",
 "_# c #000000",
@@ -1222,5 +1224,5 @@ char *xpm_dlt_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_c_bits[] = {
+const char *xpm_c_bits[] = {
 "32 32 2 2",
 "_. c #808080",
@@ -1259,5 +1261,5 @@ char *xpm_c_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_cplus_bits[] = {
+const char *xpm_cplus_bits[] = {
 "32 32 3 2",
 "_a c #00ff00",
@@ -1297,5 +1299,5 @@ char *xpm_cplus_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_java_bits[] = {
+const char *xpm_java_bits[] = {
 "32 32 15 2",
 "_d c #000000",
@@ -1347,5 +1349,5 @@ char *xpm_java_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_java_bitsOLD[] = {
+const char *xpm_java_bitsOLD[] = {
 "32 32 53 2",
 "_K c #424229",
@@ -1435,5 +1437,5 @@ char *xpm_java_bitsOLD[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_latex_bits[] = {
+const char *xpm_latex_bits[] = {
 "32 32 3 2",
 "_a c #000000",
@@ -1473,5 +1475,5 @@ char *xpm_latex_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_browser_bits[] = {
+const char *xpm_browser_bits[] = {
 "32 32 52 2",
 "_W c #000080",
@@ -1560,5 +1562,5 @@ char *xpm_browser_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_color_bits[] = {
+const char *xpm_color_bits[] = {
 "32 32 8 2",
 "_e c #00ff00",
@@ -1603,5 +1605,5 @@ char *xpm_color_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_top_bits[] = {
+const char *xpm_top_bits[] = {
 "32 32 360 2",
 "## c #000000",
@@ -1998,5 +2000,5 @@ char *xpm_top_bits[] = {
 "ce#6aC#P#Q.O.N.E.E.n.r.j.h.J.xdL.t.v.u.v.e.R.w.f.P.Yaa#F#QaDcRdh"};
 
-char *xpm_man_bits[] = {
+const char *xpm_man_bits[] = {
 "32 32 90 2",
 ".b c #21a510",
@@ -2123,5 +2125,5 @@ char *xpm_man_bits[] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_cc_util_bits[] = {
+const char *xpm_cc_util_bits[] = {
 "32 32 68 2",
 ".1 c #0000ff",
@@ -2226,5 +2228,5 @@ char *xpm_cc_util_bits[] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_latex_util_bits[] = {
+const char *xpm_latex_util_bits[] = {
 "32 32 201 2",
 ".Y c #141604",
@@ -2462,5 +2464,5 @@ char *xpm_latex_util_bits[] = {
 "QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"};
 
-char *xpm_html_bits[] = {
+const char *xpm_html_bits[] = {
 "32 32 61 2",
 "_# c #000000",
@@ -2558,5 +2560,5 @@ char *xpm_html_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._.."};
 
-char *xpm_rcs_bits[] = {
+const char *xpm_rcs_bits[] = {
 "32 32 50 2",
 "_a c #004000",
@@ -2643,5 +2645,5 @@ char *xpm_rcs_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_cmds_bits[] = {
+const char *xpm_cmds_bits[] = {
 "32 32 360 2",
 "## c #000000",
@@ -3039,5 +3041,5 @@ char *xpm_cmds_bits[] = {
 
 /* Les pixmap de deplacement dans le buffer */
-char *xpm_head_bits[] = {
+const char *xpm_head_bits[] = {
 "24 24 49 2",
 "_# c #000000",
@@ -3115,5 +3117,5 @@ char *xpm_head_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_q_bits[] = {
+const char *xpm_q_bits[] = {
 "24 24 31 2",
 "_a c #000000",
@@ -3173,5 +3175,5 @@ char *xpm_q_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_np_bits[] = {
+const char *xpm_np_bits[] = {
 "24 24 30 2",
 "_w c #003a00",
@@ -3230,5 +3232,5 @@ char *xpm_np_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_pp_bits[] = {
+const char *xpm_pp_bits[] = {
 "24 24 48 2",
 "_T c #003200",
@@ -3305,5 +3307,5 @@ char *xpm_pp_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_down_bits[] = {
+const char *xpm_down_bits[] = {
 "24 24 30 2",
 "_w c #003a00",
@@ -3362,5 +3364,5 @@ char *xpm_down_bits[] = {
 "_._._._._._._._._._._._._._._._._._._._._._._._."};
 
-char *xpm_up_bits[] = {
+const char *xpm_up_bits[] = {
 "24 24 48 2",
 "_T c #003200",
@@ -3440,5 +3442,5 @@ char *xpm_up_bits[] = {
 /* Les pixmap des boutons des scrollbar */
 
-char *xpm_sb_up_bits[] = {
+const char *xpm_sb_up_bits[] = {
 "16 12 5 0",
 "_. c #a0a0a0",
@@ -3460,5 +3462,5 @@ char *xpm_sb_up_bits[] = {
 "_c_f_f_f_f_f_f_f_f_f_f_f"};
 
-char *xpm_sb_down_bits[] = {
+const char *xpm_sb_down_bits[] = {
 "16 12 5 0",
 "_. c #a0a0a0",
@@ -3480,5 +3482,5 @@ char *xpm_sb_down_bits[] = {
 "_._._._._._c_f_._._._._."};
 
-char *xpm_sb_up_bits_run[] = {
+const char *xpm_sb_up_bits_run[] = {
 "16 12 5 0",
 "_. c #a0a0a0",
@@ -3500,5 +3502,5 @@ char *xpm_sb_up_bits_run[] = {
 "_c_f_f_f_f_f_f_f_f_f_f_f"};
 
-char *xpm_sb_down_bits_run[] = {
+const char *xpm_sb_down_bits_run[] = {
 "16 12 5 0",
 "_. c #a0a0a0",
--- buttons_bits.h	2003-02-05 02:55:10.000000000 -0500
+++ buttons_bits.h	2014-12-26 00:22:29.000000000 -0500
@@ -1,33 +1,33 @@
 #define logo_width 32
 #define logo_height 32
-extern unsigned char logo_bits[];
+extern const char logo_bits[];
 
 #define bwlogo_width 32
 #define bwlogo_height 32
-extern unsigned char bwlogo_bits[];
+extern const char bwlogo_bits[];
   
 #define head_width 24
 #define head_height 24
-extern unsigned char head_bits[];
+extern const char head_bits[];
 
 #define q_width 24
 #define q_height 24
-extern unsigned char q_bits[];
+extern const char q_bits[];
 
 #define np_width 24
 #define np_height 24
-extern unsigned char np_bits[];
+extern const char np_bits[];
 
 #define down_width 24
 #define down_height 24
-extern unsigned char down_bits[];
+extern const char down_bits[];
 
 #define pp_width 24
 #define pp_height 24
-extern unsigned char pp_bits[];
+extern const char pp_bits[];
 
 #define up_width 24
 #define up_height 24
-extern unsigned char up_bits[];
+extern const char up_bits[];
 
 extern char * bg_bpanel[];
@@ -35,131 +35,131 @@ extern char * bg_bpanel[];
 #define xlogo32_width 32
 #define xlogo32_height 32
-extern unsigned char xlogo32_bits[];
+extern const char xlogo32_bits[];
 
 #define slogo_width 40
 #define slogo_height 8
-extern unsigned char slogo_bits[];
+extern const char slogo_bits[];
 
 #define dired_width 32
 #define dired_height 32
-extern unsigned char dired_bits[];
+extern const char dired_bits[];
 
 #define new_window_width 32
 #define new_window_height 32
-extern unsigned char new_window_bits[];
+extern const char new_window_bits[];
 
 #define save_width 32
 #define save_height 32
-extern unsigned char save_bits[];
+extern const char save_bits[];
 
 #define man_width 32
 #define man_height 32
-extern unsigned char man_bits[];
+extern const char man_bits[];
 
 #define cut_width 32
 #define cut_height 32
-extern unsigned char cut_bits[];
+extern const char cut_bits[];
 
 #define paste_width 32
 #define paste_height 32
-extern unsigned char paste_bits[];
+extern const char paste_bits[];
 
 #define c_width 32
 #define c_height 32
-extern unsigned char c_bits[];
+extern const char c_bits[];
 
 #define cplus_width 32
 #define cplus_height 32
-extern unsigned char cplus_bits[];
+extern const char cplus_bits[];
 
 #define java_width 32
 #define java_height 32
-extern unsigned char java_bits[];
+extern const char java_bits[];
 
 #define dlt_width 32
 #define dlt_height 32
-extern unsigned char dlt_bits[];
+extern const char dlt_bits[];
 
 #define latex_width 32
 #define latex_height 32
-extern unsigned char latex_bits[];
+extern const char latex_bits[];
 
 #define latex_width 32
 #define latex_height 32
-extern unsigned char browser_bits[];
+extern const char browser_bits[];
 
 #define color_width 32
 #define color_height 32
-extern unsigned char color_bits[];
+extern const char color_bits[];
 
 #define top_width 32
 #define top_height 32
-extern unsigned char top_bits[];
+extern const char top_bits[];
 
 #define latex_util_width 32
 #define latex_util_height 32
-extern unsigned char latex_util_bits[];
+extern const char latex_util_bits[];
 
 #define html_width 32
 #define html_height 32
-extern unsigned char html_bits[];
+extern const char html_bits[];
 
 #define rcs_width 32
 #define rcs_height 32
-extern unsigned char rcs_bits[];
+extern const char rcs_bits[];
 
 #define cmds_width 32
 #define cmds_height 32
-extern unsigned char cmds_bits[];
+extern const char cmds_bits[];
 
 #define cc_util_width 32
 #define cc_util_height 32
-extern unsigned char cc_util_bits[];
+extern const char cc_util_bits[];
 
 #define undo_width 32
 #define undo_height 32
-extern unsigned char undo_bits[];
+extern const char undo_bits[];
 
 #define icon_width 32
 #define icon_height 32
-extern unsigned char icon_bits[];
+extern const char icon_bits[];
 
-extern unsigned char sb_up_bits[];
-extern unsigned char sb_down_bits[];
-extern unsigned char sb_up_bits_run[];
-extern unsigned char sb_down_bits_run[];
-
-extern unsigned char *xpm_logo[];
-
-extern unsigned char *xpm_dired_bits[];
-extern unsigned char *xpm_new_window_bits[];
-extern unsigned char *xpm_save_bits[];
-extern unsigned char *xpm_cut_bits[];
-extern unsigned char *xpm_paste_bits[];
-extern unsigned char *xpm_undo_bits[];
-extern unsigned char *xpm_dlt_bits[];
-extern unsigned char *xpm_c_bits[];
-extern unsigned char *xpm_cplus_bits[];
-extern unsigned char *xpm_java_bits[];
-extern unsigned char *xpm_latex_bits[];
-extern unsigned char *xpm_browser_bits[];
-extern unsigned char *xpm_color_bits[];
-extern unsigned char *xpm_top_bits[];
-extern unsigned char *xpm_man_bits[];
-extern unsigned char *xpm_cc_util_bits[];
-extern unsigned char *xpm_latex_util_bits[];
-extern unsigned char *xpm_html_bits[];
-extern unsigned char *xpm_rcs_bits[];
-extern unsigned char *xpm_cmds_bits[];
-
-extern unsigned char *xpm_head_bits[];
-extern unsigned char *xpm_q_bits[];
-extern unsigned char *xpm_np_bits[];
-extern unsigned char *xpm_down_bits[];
-extern unsigned char *xpm_pp_bits[];
-extern unsigned char *xpm_up_bits[];
-
-extern unsigned char *xpm_sb_up_bits[];
-extern unsigned char *xpm_sb_down_bits[];
-extern unsigned char *xpm_sb_up_bits_run[];
-extern unsigned char *xpm_sb_down_bits_run[];
+extern const char sb_up_bits[];
+extern const char sb_down_bits[];
+extern const char sb_up_bits_run[];
+extern const char sb_down_bits_run[];
+
+extern const char *xpm_logo[];
+
+extern const char *xpm_dired_bits[];
+extern const char *xpm_new_window_bits[];
+extern const char *xpm_save_bits[];
+extern const char *xpm_cut_bits[];
+extern const char *xpm_paste_bits[];
+extern const char *xpm_undo_bits[];
+extern const char *xpm_dlt_bits[];
+extern const char *xpm_c_bits[];
+extern const char *xpm_cplus_bits[];
+extern const char *xpm_java_bits[];
+extern const char *xpm_latex_bits[];
+extern const char *xpm_browser_bits[];
+extern const char *xpm_color_bits[];
+extern const char *xpm_top_bits[];
+extern const char *xpm_man_bits[];
+extern const char *xpm_cc_util_bits[];
+extern const char *xpm_latex_util_bits[];
+extern const char *xpm_html_bits[];
+extern const char *xpm_rcs_bits[];
+extern const char *xpm_cmds_bits[];
+
+extern const char *xpm_head_bits[];
+extern const char *xpm_q_bits[];
+extern const char *xpm_np_bits[];
+extern const char *xpm_down_bits[];
+extern const char *xpm_pp_bits[];
+extern const char *xpm_up_bits[];
+
+extern const char *xpm_sb_up_bits[];
+extern const char *xpm_sb_down_bits[];
+extern const char *xpm_sb_up_bits_run[];
+extern const char *xpm_sb_down_bits_run[];
--- class_dict.c	2002-11-24 08:34:48.000000000 -0500
+++ class_dict.c	2014-12-27 03:28:35.000000000 -0500
@@ -39,4 +39,6 @@
 
 
+#include <stdlib.h>
+
 #if HAVE_STRING_H
 #include <string.h>
@@ -66,5 +68,5 @@ int        class_count = 0;
 */
 ClassRec* create_class (class_name, decl)
-  char* class_name;
+  const char* class_name;
   unsigned decl;
 {
@@ -99,5 +101,5 @@ ClassRec* create_class (class_name, decl
 */
 ClassRec* find_class(class_name)
-  char* class_name;
+  const char* class_name;
 {
 	ClassRec**  head;
@@ -113,5 +115,5 @@ ClassRec* find_class(class_name)
 */
 void class_eraze_file(file_name)
-    char* file_name;
+    const char* file_name;
 {
   FileRec*   current_file;
@@ -214,5 +216,4 @@ void class_eraze_file(file_name)
 void class_eraze_marked_files()
 {
-  FileRec*   current_file;
   ClassRec ** pdict;
   
--- class_dict.h	2002-11-24 06:35:11.000000000 -0500
+++ class_dict.h	2014-12-22 02:21:59.000000000 -0500
@@ -144,7 +144,9 @@ extern int        class_count;
 */
 
-extern ClassRec*    create_class  (/* char* file_name */);
+extern ClassRec*    create_class  (const char* file_name, unsigned decl);
 
-extern ClassRec*    find_class    (/* char* file_name */);
+extern ClassRec*    find_class    (const char* file_name);
+extern void         class_eraze_marked_files(void);
+extern void         class_eraze_file(const char *file_name);
 
 #endif  /*  CLASSDICT_H  */
--- color_area.c	2002-09-03 02:54:33.000000000 -0400
+++ color_area.c	2014-12-27 05:31:58.000000000 -0500
@@ -60,4 +60,5 @@
 #include "color_area.h"
 #include "ie_func.h"
+#include "Smac/smacXcoral.h"
 
 extern Display *dpy;
@@ -70,7 +71,9 @@ extern Display *dpy;
 
 FCT (static void, InsertInsideElement, (Text *text, ColorElement *new_ce, ColorElement *ce) );
-FCT (static void, InsertWithRightElement, (Text *text, ColorElement *new_ce, ColorElement *ce) );
+FCT (static void, InsertWithRightElement, (ColorElement *new_ce, ColorElement *ce) );
 FCT (static void, InsertWithLeftElement, (Text *text, ColorElement *new_ce, ColorElement *ce) );
+#ifdef DEBUG
 FCT (static void, DisplayColorList, (Text *text) );
+#endif
 FCT (static void, CheckColorList, (Text *text, ColorElement *new_ce) );
 FCT (static ColorElement *, CreateColorElement, (int start, int end, unsigned long color ) );
@@ -81,4 +84,5 @@ FCT (static void, DecrColorList, (Text *
 static PrivateCmap pcmap[32];
 
+void
 InitPcmap ()
 {
@@ -101,5 +105,5 @@ void SetColorArea ( text, start, end, co
     Text *text;
     int start, end;
-    char *colorname;
+    const char *colorname;
 {
     ColorElement *new_ce, *tmp, *tmp1;
@@ -152,5 +156,5 @@ void SetColorArea ( text, start, end, co
 	text -> last_ce = new_ce;
 	text -> current_ce = new_ce;
-#ifdef DEBUG    
+#ifdef DEBUG
 	DisplayColorList (text);
 #endif /* DEBUG */    
@@ -181,5 +185,5 @@ void SetColorArea ( text, start, end, co
 	    if ( ((tmp = tmp -> previous) == 0)
 		|| (start > (tmp -> pos + tmp -> len -1))) {
-		InsertWithRightElement ( text, new_ce, tmp1);
+		InsertWithRightElement (new_ce, tmp1);
 		break;
 	    }
@@ -267,6 +271,5 @@ static void InsertWithLeftElement ( text
 **	Output :
 */
-static void InsertWithRightElement ( text, new_ce, ce)
-    Text *text;
+static void InsertWithRightElement (new_ce, ce)
     ColorElement *new_ce, *ce;
 {
@@ -310,5 +313,5 @@ static void InsertInsideElement (text, n
 	    (void) fprintf (stderr,"  InsertInsideElement 1 \n");
 #endif /* DEBUG */    
-	    InsertWithRightElement (text, new_ce, ce);
+	    InsertWithRightElement (new_ce, ce);
 	}
 	else {
@@ -321,5 +324,5 @@ static void InsertInsideElement (text, n
 	    ce -> pos += new_ce -> len;
 	    ce -> len -= new_ce -> len;
-	    InsertWithRightElement ( text, new_ce, ce );
+	    InsertWithRightElement (new_ce, ce);
 	}
     }
@@ -434,4 +437,5 @@ static void DeleteColorElement ( text, c
 
 
+#ifdef DEBUG
 /*
 **	Function name : DisplayColorList
@@ -459,11 +463,11 @@ static void DisplayColorList (text)
     /* On est bien sur le premier element de la liste */
     do {
-      (void) fprintf ( stderr, "DisplayColorList======tmp %d pos = %d len = %d\n",
+      (void) fprintf (stderr, "DisplayColorList======tmp %p pos = %d len = %d\n",
 		      tmp, tmp -> pos, tmp -> len );
       tmp = tmp -> next;
     } while (tmp != 0);
     (void) fprintf ( stderr, "\n");
-
 }
+#endif
 
 
@@ -770,5 +774,5 @@ void ColorLineInPage ( text, x, y, line,
     Text *text;
     int x, y, line;
-    char *s;
+    const char *s;
     int n;
 {
@@ -777,5 +781,5 @@ void ColorLineInPage ( text, x, y, line,
   ColorElement *tmp = 0;
   int nce, fnext, fprevious;
-  char *p;
+  const char *p;
   /* #define DEBUG */
   /* DEBUG */
--- color_area.h	2001-10-16 03:04:25.000000000 -0400
+++ color_area.h	2014-12-25 23:58:36.000000000 -0500
@@ -60,3 +60,5 @@ typedef struct _pcmap {
 } PrivateCmap;
 
+void InitPcmap(void);
+
 #endif /* _COLOR_AREA_H_ */
--- ctr_panel.c	2001-10-28 03:12:17.000000000 -0500
+++ ctr_panel.c	2014-12-26 01:47:54.000000000 -0500
@@ -64,9 +64,9 @@
 #include "page.h"
 #include "buttons_bits.h"
+#include "tbox.h"
 
 ButtonWindow bw [NB_BUTTONS];
 static ResourcesButton rs;
 extern Display *dpy;
-static Pixmap pix_panel [8];
 static XImage *im_panel [8];
 
@@ -116,25 +116,25 @@ void InitControlRes ( fg, bg, ts, bs )
     }
     if ((depth == 16)||(depth == 24)) {
-      im_panel [1] = (XImage *)LoadImage256 ((char **) xpm_up_bits);
+      im_panel [1] = LoadImage256 (xpm_up_bits);
       rs.up_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.up_pix, rs.mess_gc, im_panel [1], 0, 0, 0, 0, 24, 24);
       
-      im_panel [2] = (XImage *)LoadImage256 ((char **) xpm_down_bits);
+      im_panel [2] = LoadImage256 (xpm_down_bits);
       rs.down_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.down_pix, rs.mess_gc, im_panel [2], 0, 0, 0, 0, 24, 24);
 
-      im_panel [3] = (XImage *)LoadImage256 ((char **) xpm_np_bits);
+      im_panel [3] = LoadImage256 (xpm_np_bits);
       rs.np_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.np_pix, rs.mess_gc, im_panel [3], 0, 0, 0, 0, 24, 24);
 
-      im_panel [4] = (XImage *)LoadImage256 ((char **) xpm_pp_bits);
+      im_panel [4] = LoadImage256 (xpm_pp_bits);
       rs.pp_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.pp_pix, rs.mess_gc, im_panel [4], 0, 0, 0, 0, 24, 24);
 
-      im_panel [5] = (XImage *)LoadImage256 ((char **) xpm_q_bits);
+      im_panel [5] = LoadImage256 (xpm_q_bits);
       rs.queue_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.queue_pix, rs.mess_gc, im_panel [5], 0, 0, 0, 0, 24, 24);
 
-      im_panel [6] = (XImage *)LoadImage256 ((char **) xpm_head_bits);
+      im_panel [6] = LoadImage256 (xpm_head_bits);
       rs.head_pix = XCreatePixmap (dpy, DefaultRootWindow (dpy), 24, 24, depth);
       XPutImage (dpy, rs.head_pix, rs.mess_gc, im_panel [6], 0, 0, 0, 0, 24, 24);
@@ -457,5 +457,5 @@ void ShowControlPanel ( mwin, width, hei
 void DisplayMessage ( mwin, s ) 
     MWin *mwin;
-    char *s;
+    const char *s;
 {
     if ( (s == 0) || (mwin == 0) )
--- ctr_panel.h	1998-09-20 12:33:15.000000000 -0400
+++ ctr_panel.h	2014-12-26 00:27:25.000000000 -0500
@@ -92,5 +92,5 @@ typedef struct _MWin {
 FCT (void, ClearMessageWindow, (MWin *mwin) );
 FCT (void, DeleteControlPanel, (MWin *mwin) );
-FCT (void, DisplayMessage, (MWin *mwin, char *) );
+FCT (void, DisplayMessage, (MWin *mwin, const char *) );
 FCT (int, ExposeInControlePanel, (Window w, MWin *mwin) );
 FCT (void, InitControlRes, (unsigned long fg, unsigned long bg, unsigned long ts, unsigned long bs) );
--- ctr_version.c	1997-03-19 11:51:20.000000000 -0500
+++ ctr_version.c	2014-12-27 05:26:33.000000000 -0500
@@ -43,4 +43,6 @@
 #include <X11/Xutil.h>
 #include "main_text.h"
+#include "ctr_version.h"
+#include "Smac/smacXcoral.h"
 
 /*
@@ -54,7 +56,7 @@ void CV_CheckIn ( text )
     Text *text;
 {
-  char *msg;
-  msg = (char *) ie_call_function ( text, "cv_check_in", 0, 0);
-  if ( msg != 0 )
+  const char *msg;
+  msg = ie_call_function (text, "cv_check_in", 0, 0);
+  if (msg != NULL)
     DisplayMessage ( text -> mwin, msg );
 }
